<script setup lang="ts">
import type { Author } from "~/utils/types/publication";
const props = defineProps<{ author: Author }>();
const emit = defineEmits<{
  (e: "update:author", v: Author): void;
}>();
</script>

<template>
  <v-text-field
    :model-value="props.author.firstName"
    :rules="[(v: string) => !!v || 'First name is required']"
    density="compact"
    placeholder="*First name"
    class="mr-2"
    @update:modelValue="
      (firstName: string) =>
        emit('update:author', { ...props.author, firstName })
    "
  />
  <v-text-field
    :model-value="props.author.lastName"
    :rules="[(v: string) => !!v || 'Last name is required']"
    density="compact"
    placeholder="*Last name"
    @update:modelValue="
      (lastName: string) => emit('update:author', { ...props.author, lastName })
    "
  />
</template>
